diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -3344,71 +3346,70 @@ to locate it.)108 508.8 R .379(If there e)5.379 F .379
 2.746 E F5(.)A F0 .246(If the name does not match a func-)4.746 F
 (tion, the shell searches for it in the list of shell b)108 532.8 Q 2.5
 (uiltins. If)-.2 F 2.5(am)2.5 G(atch is found, that b)-2.5 E
-(uiltin is in)-.2 E -.2(vo)-.4 G -.1(ke).2 G(d.).1 E .309
-(If the name is neither a shell function nor a b)108 549.6 R .31
-(uiltin, and contains no slashes,)-.2 F F2(bash)2.81 E F0 .31
-(searches each element of)2.81 F(the)108 561.6 Q F3 -.666(PA)3.163 G(TH)
--.189 E F0 .662(for a directory containing an e)2.913 F -.15(xe)-.15 G
-.662(cutable \214le by that name.).15 F F2(Bash)5.662 E F0 .662
-(uses a hash table to remember)3.162 F 1.914(the full pathnames of e)108
+(uiltin is in)-.2 E -.2(vo)-.4 G -.1(ke).2 G(d.).1 E .31
+(If the name is neither a shell function nor a b)108 549.6 R .309
+(uiltin, and contains no slashes,)-.2 F F2(bash)2.809 E F0 .309
+(searches each element of)2.809 F(the)108 561.6 Q F3 -.666(PA)3.162 G
+(TH)-.189 E F0 .662(for a directory containing an e)2.912 F -.15(xe)-.15
+G .662(cutable \214le by that name.).15 F F2(Bash)5.662 E F0 .663
+(uses a hash table to remember)3.162 F 1.915(the full pathnames of e)108
 573.6 R -.15(xe)-.15 G 1.915(cutable \214les \(see).15 F F2(hash)4.415 E
-F0(under)4.415 E F3 1.915(SHELL B)4.415 F(UIL)-.09 E 1.915(TIN COMMANDS)
--.828 F F0(belo)4.165 E 4.415(w\). A)-.25 F(full)4.415 E .72
-(search of the directories in)108 585.6 R F3 -.666(PA)3.22 G(TH)-.189 E
-F0 .719
-(is performed only if the command is not found in the hash table.)2.97 F
-.719(If the)5.719 F(search is unsuccessful, the shell prints an error m\
-essage and returns an e)108 597.6 Q(xit status of 127.)-.15 E 1.089(If \
-the search is successful, or if the command name contains one or more s\
-lashes, the shell e)108 614.4 R -.15(xe)-.15 G 1.09(cutes the).15 F .198
-(named program in a separate e)108 626.4 R -.15(xe)-.15 G .198
+F0(under)4.415 E F3 1.915(SHELL B)4.415 F(UIL)-.09 E 1.914(TIN COMMANDS)
+-.828 F F0(belo)4.164 E 4.414(w\). A)-.25 F(full)4.414 E .719
+(search of the directories in)108 585.6 R F3 -.666(PA)3.219 G(TH)-.189 E
+F0 .72(is performed only if the command is not found in the hash table.)
+2.969 F .72(If the)5.72 F(search is unsuccessful, the shell prints an e\
+rror message and returns an e)108 597.6 Q(xit status of 127.)-.15 E
+1.089(If the search is successful, or if the command name contains one \
+or more slashes, the shell e)108 614.4 R -.15(xe)-.15 G 1.089(cutes the)
+.15 F .197(named program in a separate e)108 626.4 R -.15(xe)-.15 G .197
 (cution en).15 F 2.698(vironment. Ar)-.4 F .198
-(gument 0 is set to the name gi)-.18 F -.15(ve)-.25 G .197
+(gument 0 is set to the name gi)-.18 F -.15(ve)-.25 G .198
 (n, and the remain-).15 F(ing ar)108 638.4 Q
 (guments to the command are set to the ar)-.18 E(guments gi)-.18 E -.15
 (ve)-.25 G(n, if an).15 E -.65(y.)-.15 G 1.809(If this e)108 655.2 R
 -.15(xe)-.15 G 1.809(cution f).15 F 1.809
 (ails because the \214le is not in e)-.1 F -.15(xe)-.15 G 1.809
 (cutable format, and the \214le is not a directory).15 F 4.309(,i)-.65 G
-4.309(ti)-4.309 G(s)-4.309 E .678(assumed to be a)108 667.2 R F1 .678
-(shell script)3.178 F F0 3.178(,a\214)C .678
+4.309(ti)-4.309 G(s)-4.309 E .677(assumed to be a)108 667.2 R F1 .678
+(shell script)3.177 F F0 3.178(,a\214)C .678
 (le containing shell commands.)-3.178 F 3.178(As)5.678 G .678
-(ubshell is spa)-3.178 F .677(wned to e)-.15 F -.15(xe)-.15 G .677
-(cute it.).15 F(This)5.677 E .329
-(subshell reinitializes itself, so that the ef)108 679.2 R .329
-(fect is as if a ne)-.25 F 2.83(ws)-.25 G .33(hell had been in)-2.83 F
--.2(vo)-.4 G -.1(ke).2 G 2.83(dt).1 G 2.83(oh)-2.83 G .33
-(andle the script, with)-2.83 F 1.219(the e)108 691.2 R 1.219
+(ubshell is spa)-3.178 F .678(wned to e)-.15 F -.15(xe)-.15 G .678
+(cute it.).15 F(This)5.678 E .33
+(subshell reinitializes itself, so that the ef)108 679.2 R .33
+(fect is as if a ne)-.25 F 2.829(ws)-.25 G .329(hell had been in)-2.829
+F -.2(vo)-.4 G -.1(ke).2 G 2.829(dt).1 G 2.829(oh)-2.829 G .329
+(andle the script, with)-2.829 F 1.219(the e)108 691.2 R 1.219
 (xception that the locations of commands remembered by the parent \(see)
 -.15 F F2(hash)3.719 E F0(belo)3.719 E 3.719(wu)-.25 G(nder)-3.719 E F3
 (SHELL)3.719 E -.09(BU)108 703.2 S(IL).09 E(TIN COMMANDS)-.828 E F5(\))A
-F0(are retained by the child.)2.25 E 1.374
+F0(are retained by the child.)2.25 E 1.375
 (If the program is a \214le be)108 720 R 1.374(ginning with)-.15 F F2
 (#!)3.874 E F0 3.874(,t)C 1.374
 (he remainder of the \214rst line speci\214es an interpreter for the)
--3.874 F(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(27)185.955 E 0
-Cg EP
+-3.874 F(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(27)190.95 E 0 Cg
+EP
 %%Page: 28 28
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E 5.486(program. The)108 84 R 2.986(shell e)5.486 F -.15(xe)-.15 G
+-.35 E 5.485(program. The)108 84 R 2.985(shell e)5.485 F -.15(xe)-.15 G
 2.986(cutes the speci\214ed interpreter on operating systems that do no\
-t handle this).15 F -.15(exe)108 96 S .761(cutable format themselv).15 F
-3.261(es. The)-.15 F(ar)3.261 E .762
-(guments to the interpreter consist of a single optional ar)-.18 F .762
-(gument fol-)-.18 F(lo)108 108 Q .157
+t handle this).15 F -.15(exe)108 96 S .762(cutable format themselv).15 F
+3.262(es. The)-.15 F(ar)3.262 E .761
+(guments to the interpreter consist of a single optional ar)-.18 F .761
+(gument fol-)-.18 F(lo)108 108 Q .156
 (wing the interpreter name on the \214rst line of the program, follo)
--.25 F .156(wed by the name of the program, follo)-.25 F(wed)-.25 E
+-.25 F .157(wed by the name of the program, follo)-.25 F(wed)-.25 E
 (by the command ar)108 120 Q(guments, if an)-.18 E -.65(y.)-.15 G/F1
 10.95/Times-Bold@0 SF(COMMAND EXECUTION ENVIR)72 136.8 Q(ONMENT)-.329 E
 F0(The shell has an)108 148.8 Q/F2 10/Times-Italic@0 SF -.2(ex)2.5 G
 (ecution en).2 E(vir)-.4 E(onment)-.45 E F0 2.5(,w)C
 (hich consists of the follo)-2.5 E(wing:)-.25 E 32.5<836f>108 177.6 S
-1.405(pen \214les inherited by the shell at in)-32.5 F -.2(vo)-.4 G
-1.406(cation, as modi\214ed by redirections supplied to the).2 F/F3 10
-/Times-Bold@0 SF(exec)3.906 E F0 -.2(bu)144 189.6 S(iltin).2 E 32.5
+1.406(pen \214les inherited by the shell at in)-32.5 F -.2(vo)-.4 G
+1.405(cation, as modi\214ed by redirections supplied to the).2 F/F3 10
+/Times-Bold@0 SF(exec)3.905 E F0 -.2(bu)144 189.6 S(iltin).2 E 32.5
 <8374>108 206.4 S(he current w)-32.5 E(orking directory as set by)-.1 E
 F3(cd)2.5 E F0(,)A F3(pushd)2.5 E F0 2.5(,o)C(r)-2.5 E F3(popd)2.5 E F0
 2.5(,o)C 2.5(ri)-2.5 G(nherited by the shell at in)-2.5 E -.2(vo)-.4 G
@@ -3416,9 +3417,9 @@ F3(cd)2.5 E F0(,)A F3(pushd)2.5 E F0 2.5(,o)C(r)-2.5 E F3(popd)2.5 E F0
 (he \214le creation mode mask as set by)-32.5 E F3(umask)2.5 E F0
 (or inherited from the shell')2.5 E 2.5(sp)-.55 G(arent)-2.5 E 32.5
 <8363>108 240 S(urrent traps set by)-32.5 E F3(trap)2.5 E F0 32.5<8373>
-108 256.8 S .257(hell parameters that are set by v)-32.5 F .256
-(ariable assignment or with)-.25 F F3(set)2.756 E F0 .256
-(or inherited from the shell')2.756 F 2.756(sp)-.55 G(arent)-2.756 E
+108 256.8 S .256(hell parameters that are set by v)-32.5 F .256
+(ariable assignment or with)-.25 F F3(set)2.756 E F0 .257
+(or inherited from the shell')2.756 F 2.757(sp)-.55 G(arent)-2.757 E
 (in the en)144 268.8 Q(vironment)-.4 E 32.5<8373>108 285.6 S
 (hell functions de\214ned during e)-32.5 E -.15(xe)-.15 G
 (cution or inherited from the shell').15 E 2.5(sp)-.55 G
@@ -3430,202 +3431,202 @@ F0 32.5<836f>108 319.2 S(ptions enabled by)-32.5 E F3(shopt)2.5 E F0
 F0 32.5<8376>108 352.8 S
 (arious process IDs, including those of background jobs, the v)-32.75 E
 (alue of)-.25 E F3($$)2.5 E F0 2.5(,a)C(nd the v)-2.5 E(alue of)-.25 E
-F3($PPID)2.5 E F0 .426(When a simple command other than a b)108 369.6 R
-.427(uiltin or shell function is to be e)-.2 F -.15(xe)-.15 G .427
-(cuted, it is in).15 F -.2(vo)-.4 G -.1(ke).2 G 2.927(di).1 G 2.927(nas)
--2.927 G(eparate)-2.927 E -.15(exe)108 381.6 S .134(cution en).15 F .134
+F3($PPID)2.5 E F0 .427(When a simple command other than a b)108 369.6 R
+.426(uiltin or shell function is to be e)-.2 F -.15(xe)-.15 G .426
+(cuted, it is in).15 F -.2(vo)-.4 G -.1(ke).2 G 2.926(di).1 G 2.926(nas)
+-2.926 G(eparate)-2.926 E -.15(exe)108 381.6 S .133(cution en).15 F .133
 (vironment that consists of the follo)-.4 F 2.634(wing. Unless)-.25 F
-.133(otherwise noted, the v)2.634 F .133(alues are inherited from)-.25 F
-(the shell.)108 393.6 Q 32.5<8374>108 422.4 S 1.055(he shell')-32.5 F
-3.555(so)-.55 G 1.055(pen \214les, plus an)-3.555 F 3.556(ym)-.15 G
+.134(otherwise noted, the v)2.634 F .134(alues are inherited from)-.25 F
+(the shell.)108 393.6 Q 32.5<8374>108 422.4 S 1.056(he shell')-32.5 F
+3.556(so)-.55 G 1.056(pen \214les, plus an)-3.556 F 3.556(ym)-.15 G
 1.056
 (odi\214cations and additions speci\214ed by redirections to the com-)
 -3.556 F(mand)144 434.4 Q 32.5<8374>108 451.2 S(he current w)-32.5 E
 (orking directory)-.1 E 32.5<8374>108 468 S
-(he \214le creation mode mask)-32.5 E 32.5<8373>108 484.8 S .857(hell v)
+(he \214le creation mode mask)-32.5 E 32.5<8373>108 484.8 S .856(hell v)
 -32.5 F .857(ariables and functions mark)-.25 F .857(ed for e)-.1 F .857
 (xport, along with v)-.15 F .857(ariables e)-.25 F .857
 (xported for the command,)-.15 F(passed in the en)144 496.8 Q(vironment)
--.4 E 32.5<8374>108 513.6 S .306
-(raps caught by the shell are reset to the v)-32.5 F .307
-(alues inherited from the shell')-.25 F 2.807(sp)-.55 G .307
-(arent, and traps ignored)-2.807 F(by the shell are ignored)144 525.6 Q
+-.4 E 32.5<8374>108 513.6 S .307
+(raps caught by the shell are reset to the v)-32.5 F .306
+(alues inherited from the shell')-.25 F 2.806(sp)-.55 G .306
+(arent, and traps ignored)-2.806 F(by the shell are ignored)144 525.6 Q
 2.5(Ac)108 542.4 S(ommand in)-2.5 E -.2(vo)-.4 G -.1(ke).2 G 2.5(di).1 G
 2.5(nt)-2.5 G(his separate en)-2.5 E(vironment cannot af)-.4 E
 (fect the shell')-.25 E 2.5(se)-.55 G -.15(xe)-2.65 G(cution en).15 E
 (vironment.)-.4 E .577(Command substitution, commands grouped with pare\
 ntheses, and asynchronous commands are in)108 559.2 R -.2(vo)-.4 G -.1
-(ke).2 G 3.077(di).1 G(n)-3.077 E 2.744(as)108 571.2 S .244(ubshell en)
--2.744 F .244(vironment that is a duplicate of the shell en)-.4 F .245
-(vironment, e)-.4 F .245(xcept that traps caught by the shell are)-.15 F
-.359(reset to the v)108 583.2 R .358
+(ke).2 G 3.078(di).1 G(n)-3.078 E 2.745(as)108 571.2 S .245(ubshell en)
+-2.745 F .245(vironment that is a duplicate of the shell en)-.4 F .244
+(vironment, e)-.4 F .244(xcept that traps caught by the shell are)-.15 F
+.358(reset to the v)108 583.2 R .358
 (alues that the shell inherited from its parent at in)-.25 F -.2(vo)-.4
-G 2.858(cation. Builtin).2 F .358(commands that are in)2.858 F -.2(vo)
--.4 G -.1(ke).2 G(d).1 E .856(as part of a pipeline are also e)108 595.2
-R -.15(xe)-.15 G .856(cuted in a subshell en).15 F 3.357
-(vironment. Changes)-.4 F .857(made to the subshell en)3.357 F(viron-)
+G 2.858(cation. Builtin).2 F .359(commands that are in)2.859 F -.2(vo)
+-.4 G -.1(ke).2 G(d).1 E .857(as part of a pipeline are also e)108 595.2
+R -.15(xe)-.15 G .856(cuted in a subshell en).15 F 3.356
+(vironment. Changes)-.4 F .856(made to the subshell en)3.356 F(viron-)
 -.4 E(ment cannot af)108 607.2 Q(fect the shell')-.25 E 2.5(se)-.55 G
--.15(xe)-2.65 G(cution en).15 E(vironment.)-.4 E .405
-(If a command is follo)108 624 R .405(wed by a)-.25 F F3(&)2.905 E F0
-.404(and job control is not acti)2.905 F -.15(ve)-.25 G 2.904(,t).15 G
-.404(he def)-2.904 F .404(ault standard input for the command)-.1 F .197
-(is the empty \214le)108 636 R F2(/de)2.697 E(v/null)-.15 E F0 5.197(.O)
-C .197(therwise, the in)-5.197 F -.2(vo)-.4 G -.1(ke).2 G 2.697(dc).1 G
-.198(ommand inherits the \214le descriptors of the calling shell)-2.697
+-.15(xe)-2.65 G(cution en).15 E(vironment.)-.4 E .404
+(If a command is follo)108 624 R .404(wed by a)-.25 F F3(&)2.904 E F0
+.405(and job control is not acti)2.904 F -.15(ve)-.25 G 2.905(,t).15 G
+.405(he def)-2.905 F .405(ault standard input for the command)-.1 F .198
+(is the empty \214le)108 636 R F2(/de)2.698 E(v/null)-.15 E F0 5.198(.O)
+C .198(therwise, the in)-5.198 F -.2(vo)-.4 G -.1(ke).2 G 2.698(dc).1 G
+.197(ommand inherits the \214le descriptors of the calling shell)-2.698
 F(as modi\214ed by redirections.)108 648 Q F1(ENVIR)72 664.8 Q(ONMENT)
--.329 E F0 2.354(When a program is in)108 676.8 R -.2(vo)-.4 G -.1(ke).2
+-.329 E F0 2.353(When a program is in)108 676.8 R -.2(vo)-.4 G -.1(ke).2
 G 4.853(di).1 G 4.853(ti)-4.853 G 4.853(sg)-4.853 G -2.15 -.25(iv e)
 -4.853 H 4.853(na).25 G 4.853(na)-4.853 G 2.353
 (rray of strings called the)-4.853 F F2(en)4.853 E(vir)-.4 E(onment)-.45
-E F0 7.353(.T).68 G 2.353(his is a list of)-7.353 F F2(name)108 688.8 Q
+E F0 7.353(.T).68 G 2.354(his is a list of)-7.353 F F2(name)108 688.8 Q
 F0<ad>A F2(value)A F0(pairs, of the form)2.5 E F2(name)2.5 E F0(=)A F2
-(value)A F0(.).18 E 1.485(The shell pro)108 705.6 R 1.485(vides se)-.15
-F -.15(ve)-.25 G 1.485(ral w).15 F 1.485(ays to manipulate the en)-.1 F
-3.985(vironment. On)-.4 F(in)3.985 E -.2(vo)-.4 G 1.486
+(value)A F0(.).18 E 1.486(The shell pro)108 705.6 R 1.486(vides se)-.15
+F -.15(ve)-.25 G 1.486(ral w).15 F 1.485(ays to manipulate the en)-.1 F
+3.985(vironment. On)-.4 F(in)3.985 E -.2(vo)-.4 G 1.485
 (cation, the shell scans its o).2 F(wn)-.25 E(en)108 717.6 Q .144(viron\
 ment and creates a parameter for each name found, automatically marking\
- it for)-.4 F F2 -.2(ex)2.643 G(port).2 E F0 .143(to child pro-)3.323 F
-5.288(cesses. Ex)108 729.6 R 2.788(ecuted commands inherit the en)-.15 F
+ it for)-.4 F F2 -.2(ex)2.644 G(port).2 E F0 .144(to child pro-)3.324 F
+5.289(cesses. Ex)108 729.6 R 2.789(ecuted commands inherit the en)-.15 F
 5.288(vironment. The)-.4 F F3(export)5.288 E F0(and)5.288 E F3(declar)
-5.289 E 5.289<65ad>-.18 G(x)-5.289 E F0 2.789(commands allo)5.289 F(w)
--.25 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(28)185.955 E 0
-Cg EP
+5.288 E 5.288<65ad>-.18 G(x)-5.288 E F0 2.788(commands allo)5.288 F(w)
+-.25 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(28)190.95 E 0 Cg
+EP
 %%Page: 29 29
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E .647
+-.35 E .646
 (parameters and functions to be added to and deleted from the en)108 84
-R 3.147(vironment. If)-.4 F .646(the v)3.146 F .646
-(alue of a parameter in)-.25 F .513(the en)108 96 R .513
+R 3.147(vironment. If)-.4 F .647(the v)3.147 F .647
+(alue of a parameter in)-.25 F .514(the en)108 96 R .513
 (vironment is modi\214ed, the ne)-.4 F 3.013(wv)-.25 G .513
 (alue becomes part of the en)-3.263 F .513
-(vironment, replacing the old.)-.4 F .514(The en)5.514 F(vi-)-.4 E .523
+(vironment, replacing the old.)-.4 F .513(The en)5.513 F(vi-)-.4 E .522
 (ronment inherited by an)108 108 R 3.022(ye)-.15 G -.15(xe)-3.172 G .522
 (cuted command consists of the shell').15 F 3.022(si)-.55 G .522
-(nitial en)-3.022 F .522(vironment, whose v)-.4 F .522(alues may)-.25 F
-.578(be modi\214ed in the shell, less an)108 120 R 3.078(yp)-.15 G .578
+(nitial en)-3.022 F .522(vironment, whose v)-.4 F .523(alues may)-.25 F
+.579(be modi\214ed in the shell, less an)108 120 R 3.078(yp)-.15 G .578
 (airs remo)-3.078 F -.15(ve)-.15 G 3.078(db).15 G 3.078(yt)-3.078 G(he)
--3.078 E/F1 10/Times-Bold@0 SF(unset)3.078 E F0 .579(command, plus an)
-3.078 F 3.079(ya)-.15 G .579(dditions via the)-3.079 F F1(export)3.079 E
+-3.078 E/F1 10/Times-Bold@0 SF(unset)3.078 E F0 .578(command, plus an)
+3.078 F 3.078(ya)-.15 G .578(dditions via the)-3.078 F F1(export)3.078 E
 F0(and)108 132 Q F1(declar)2.5 E 2.5<65ad>-.18 G(x)-2.5 E F0(commands.)
-2.5 E .563(The en)108 148.8 R .563(vironment for an)-.4 F(y)-.15 E/F2 10
-/Times-Italic@0 SF .563(simple command)3.403 F F0 .562
+2.5 E .562(The en)108 148.8 R .562(vironment for an)-.4 F(y)-.15 E/F2 10
+/Times-Italic@0 SF .562(simple command)3.402 F F0 .563
 (or function may be augmented temporarily by pre\214xing it with)3.833 F
-.202(parameter assignments, as described abo)108 160.8 R .502 -.15(ve i)
+.203(parameter assignments, as described abo)108 160.8 R .502 -.15(ve i)
 -.15 H(n).15 E/F3 9/Times-Bold@0 SF -.666(PA)2.702 G(RAMETERS).666 E/F4
 9/Times-Roman@0 SF(.)A F0 .202(These assignment statements af)4.702 F
-.203(fect only the)-.25 F(en)108 172.8 Q
+.202(fect only the)-.25 F(en)108 172.8 Q
 (vironment seen by that command.)-.4 E .81(If the)108 189.6 R F1<ad6b>
 3.31 E F0 .81(option is set \(see the)3.31 F F1(set)3.31 E F0 -.2(bu)
 3.31 G .81(iltin command belo).2 F .81(w\), then)-.25 F F2(all)3.64 E F0
 .81(parameter assignments are placed in)3.82 F(the en)108 201.6 Q
 (vironment for a command, not just those that precede the command name.)
--.4 E(When)108 218.4 Q F1(bash)3.396 E F0(in)3.396 E -.2(vo)-.4 G -.1
-(ke).2 G 3.396(sa).1 G 3.397(ne)-3.396 G .897(xternal command, the v)
+-.4 E(When)108 218.4 Q F1(bash)3.397 E F0(in)3.397 E -.2(vo)-.4 G -.1
+(ke).2 G 3.397(sa).1 G 3.397(ne)-3.397 G .897(xternal command, the v)
 -3.547 F(ariable)-.25 E F1(_)3.397 E F0 .897
 (is set to the full \214le name of the command and)3.397 F
 (passed to that command in its en)108 230.4 Q(vironment.)-.4 E/F5 10.95
 /Times-Bold@0 SF(EXIT ST)72 247.2 Q -1.04(AT)-.986 G(US)1.04 E F0 -.15
-(Fo)108 259.2 S 3.373(rt).15 G .873(he shell')-3.373 F 3.373(sp)-.55 G
-.873(urposes, a command which e)-3.373 F .873(xits with a zero e)-.15 F
-.873(xit status has succeeded.)-.15 F .872(An e)5.872 F .872
-(xit status of)-.15 F .048(zero indicates success.)108 271.2 R 2.548(An)
-5.048 G .049(on-zero e)-2.548 F .049(xit status indicates f)-.15 F 2.549
-(ailure. When)-.1 F 2.549(ac)2.549 G .049(ommand terminates on a f)
--2.549 F .049(atal sig-)-.1 F(nal)108 283.2 Q F2(N)2.5 E F0(,)A F1(bash)
+(Fo)108 259.2 S 3.372(rt).15 G .872(he shell')-3.372 F 3.372(sp)-.55 G
+.873(urposes, a command which e)-3.372 F .873(xits with a zero e)-.15 F
+.873(xit status has succeeded.)-.15 F .873(An e)5.873 F .873
+(xit status of)-.15 F .049(zero indicates success.)108 271.2 R 2.549(An)
+5.049 G .049(on-zero e)-2.549 F .049(xit status indicates f)-.15 F 2.549
+(ailure. When)-.1 F 2.549(ac)2.549 G .048(ommand terminates on a f)
+-2.549 F .048(atal sig-)-.1 F(nal)108 283.2 Q F2(N)2.5 E F0(,)A F1(bash)
 2.5 E F0(uses the v)2.5 E(alue of 128+)-.25 E F2(N)A F0(as the e)2.5 E
-(xit status.)-.15 E .405
+(xit status.)-.15 E .404
 (If a command is not found, the child process created to e)108 300 R
--.15(xe)-.15 G .404(cute it returns a status of 127.).15 F .404
-(If a command is)5.404 F(found b)108 312 Q(ut is not e)-.2 E -.15(xe)
+-.15(xe)-.15 G .404(cute it returns a status of 127.).15 F .405
+(If a command is)5.405 F(found b)108 312 Q(ut is not e)-.2 E -.15(xe)
 -.15 G(cutable, the return status is 126.).15 E(If a command f)108 328.8
 Q(ails because of an error during e)-.1 E
 (xpansion or redirection, the e)-.15 E(xit status is greater than zero.)
--.15 E .08(Shell b)108 345.6 R .08
+-.15 E .081(Shell b)108 345.6 R .081
 (uiltin commands return a status of 0 \()-.2 F F2(true)A F0 2.581(\)i)C
-2.581(fs)-2.581 G .081(uccessful, and non-zero \()-2.581 F F2(false)A F0
-2.581(\)i)C 2.581(fa)-2.581 G 2.581(ne)-2.581 G .081(rror occurs while)
--2.581 F(the)108 357.6 Q 2.5(ye)-.15 G -.15(xe)-2.65 G 2.5(cute. All).15
-F -.2(bu)2.5 G(iltins return an e).2 E
+2.581(fs)-2.581 G .08(uccessful, and non-zero \()-2.581 F F2(false)A F0
+2.58(\)i)C 2.58(fa)-2.58 G 2.58(ne)-2.58 G .08(rror occurs while)-2.58 F
+(the)108 357.6 Q 2.5(ye)-.15 G -.15(xe)-2.65 G 2.5(cute. All).15 F -.2
+(bu)2.5 G(iltins return an e).2 E
 (xit status of 2 to indicate incorrect usage.)-.15 E F1(Bash)108 374.4 Q
-F0 .202(itself returns the e)2.702 F .202
-(xit status of the last command e)-.15 F -.15(xe)-.15 G .201
+F0 .201(itself returns the e)2.701 F .202
+(xit status of the last command e)-.15 F -.15(xe)-.15 G .202
 (cuted, unless a syntax error occurs, in which case).15 F(it e)108 386.4
 Q(xits with a non-zero v)-.15 E 2.5(alue. See)-.25 F(also the)2.5 E F1
 (exit)2.5 E F0 -.2(bu)2.5 G(iltin command belo).2 E -.65(w.)-.25 G F5
-(SIGN)72 403.2 Q(ALS)-.219 E F0(When)108 415.2 Q F1(bash)3.182 E F0 .682
-(is interacti)3.182 F -.15(ve)-.25 G 3.182(,i).15 G 3.182(nt)-3.182 G
-.682(he absence of an)-3.182 F 3.183(yt)-.15 G .683(raps, it ignores)
--3.183 F F3(SIGTERM)3.183 E F0 .683(\(so that)2.933 F F1 .683(kill 0)
-3.183 F F0 .683(does not kill an)3.183 F(interacti)108 427.2 Q .758 -.15
-(ve s)-.25 H .458(hell\), and).15 F F3(SIGINT)2.958 E F0 .458
-(is caught and handled \(so that the)2.708 F F1(wait)2.958 E F0 -.2(bu)
-2.958 G .457(iltin is interruptible\).).2 F .457(In all cases,)5.457 F
+(SIGN)72 403.2 Q(ALS)-.219 E F0(When)108 415.2 Q F1(bash)3.183 E F0 .683
+(is interacti)3.183 F -.15(ve)-.25 G 3.183(,i).15 G 3.183(nt)-3.183 G
+.683(he absence of an)-3.183 F 3.183(yt)-.15 G .683(raps, it ignores)
+-3.183 F F3(SIGTERM)3.183 E F0 .682(\(so that)2.933 F F1 .682(kill 0)
+3.182 F F0 .682(does not kill an)3.182 F(interacti)108 427.2 Q .757 -.15
+(ve s)-.25 H .457(hell\), and).15 F F3(SIGINT)2.957 E F0 .458
+(is caught and handled \(so that the)2.707 F F1(wait)2.958 E F0 -.2(bu)
+2.958 G .458(iltin is interruptible\).).2 F .458(In all cases,)5.458 F
 F1(bash)108 439.2 Q F0(ignores)2.5 E F3(SIGQ)2.5 E(UIT)-.09 E F4(.)A F0
 (If job control is in ef)4.5 E(fect,)-.25 E F1(bash)2.5 E F0(ignores)2.5
 E F3(SIGTTIN)2.5 E F4(,)A F3(SIGTT)2.25 E(OU)-.162 E F4(,)A F0(and)2.25
-E F3(SIGTSTP)2.5 E F4(.)A F0(Non-b)108 456 Q 1.064
-(uiltin commands run by)-.2 F F1(bash)3.564 E F0(ha)3.564 E 1.365 -.15
-(ve s)-.2 H 1.065(ignal handlers set to the v).15 F 1.065
-(alues inherited by the shell from its)-.25 F 3.248(parent. When)108 468
-R .748(job control is not in ef)3.248 F .747
-(fect, asynchronous commands ignore)-.25 F F3(SIGINT)3.247 E F0(and)
-2.997 E F3(SIGQ)3.247 E(UIT)-.09 E F0 .747(in addi-)2.997 F .652
+E F3(SIGTSTP)2.5 E F4(.)A F0(Non-b)108 456 Q 1.065
+(uiltin commands run by)-.2 F F1(bash)3.565 E F0(ha)3.565 E 1.365 -.15
+(ve s)-.2 H 1.065(ignal handlers set to the v).15 F 1.064
+(alues inherited by the shell from its)-.25 F 3.247(parent. When)108 468
+R .747(job control is not in ef)3.247 F .747
+(fect, asynchronous commands ignore)-.25 F F3(SIGINT)3.248 E F0(and)
+2.998 E F3(SIGQ)3.248 E(UIT)-.09 E F0 .748(in addi-)2.998 F .653
 (tion to these inherited handlers.)108 480 R .653
-(Commands run as a result of command substitution ignore the k)5.652 F
+(Commands run as a result of command substitution ignore the k)5.653 F
 -.15(ey)-.1 G(board-).15 E(generated job control signals)108 492 Q F3
 (SIGTTIN)2.5 E F4(,)A F3(SIGTT)2.25 E(OU)-.162 E F4(,)A F0(and)2.25 E F3
-(SIGTSTP)2.5 E F4(.)A F0 2.046(The shell e)108 508.8 R 2.046
+(SIGTSTP)2.5 E F4(.)A F0 2.045(The shell e)108 508.8 R 2.045
 (xits by def)-.15 F 2.045(ault upon receipt of a)-.1 F F3(SIGHUP)4.545 E
-F4(.)A F0 2.045(Before e)6.545 F 2.045(xiting, an interacti)-.15 F 2.345
--.15(ve s)-.25 H 2.045(hell resends the).15 F F3(SIGHUP)108 520.8 Q F0
-1.004(to all jobs, running or stopped.)3.254 F 1.004
-(Stopped jobs are sent)6.004 F F3(SIGCONT)3.505 E F0 1.005
-(to ensure that the)3.255 F 3.505(yr)-.15 G(ecei)-3.505 E 1.305 -.15
-(ve t)-.25 H(he).15 E F3(SIGHUP)108 532.8 Q F4(.)A F0 2.53 -.8(To p)5.43
-H(re).8 E -.15(ve)-.25 G .93(nt the shell from sending the signal to a \
-particular job, it should be remo).15 F -.15(ve)-.15 G 3.429(df).15 G
-.929(rom the)-3.429 F 1.356(jobs table with the)108 544.8 R F1(diso)
-3.856 E(wn)-.1 E F0 -.2(bu)3.856 G 1.356(iltin \(see).2 F F3 1.356
-(SHELL B)3.856 F(UIL)-.09 E 1.356(TIN COMMANDS)-.828 F F0(belo)3.607 E
-1.357(w\) or mark)-.25 F 1.357(ed to not recei)-.1 F -.15(ve)-.25 G F3
+F4(.)A F0 2.045(Before e)6.545 F 2.045(xiting, an interacti)-.15 F 2.346
+-.15(ve s)-.25 H 2.046(hell resends the).15 F F3(SIGHUP)108 520.8 Q F0
+1.005(to all jobs, running or stopped.)3.255 F 1.004
+(Stopped jobs are sent)6.005 F F3(SIGCONT)3.504 E F0 1.004
+(to ensure that the)3.254 F 3.504(yr)-.15 G(ecei)-3.504 E 1.304 -.15
+(ve t)-.25 H(he).15 E F3(SIGHUP)108 532.8 Q F4(.)A F0 2.529 -.8(To p)
+5.429 H(re).8 E -.15(ve)-.25 G .93(nt the shell from sending the signal\
+ to a particular job, it should be remo).15 F -.15(ve)-.15 G 3.43(df).15
+G .93(rom the)-3.43 F 1.357(jobs table with the)108 544.8 R F1(diso)
+3.857 E(wn)-.1 E F0 -.2(bu)3.857 G 1.357(iltin \(see).2 F F3 1.356
+(SHELL B)3.856 F(UIL)-.09 E 1.356(TIN COMMANDS)-.828 F F0(belo)3.606 E
+1.356(w\) or mark)-.25 F 1.356(ed to not recei)-.1 F -.15(ve)-.25 G F3
 (SIGHUP)108 556.8 Q F0(using)2.25 E F1(diso)2.5 E(wn \255h)-.1 E F0(.)A
 .166(If the)108 573.6 R F1(huponexit)2.666 E F0 .166
 (shell option has been set with)2.666 F F1(shopt)2.666 E F0(,)A F1(bash)
 2.666 E F0 .166(sends a)2.666 F F3(SIGHUP)2.666 E F0 .166
 (to all jobs when an interacti)2.416 F -.15(ve)-.25 G(login shell e)108
-585.6 Q(xits.)-.15 E(If)108 602.4 Q F1(bash)3.046 E F0 .546(is w)3.046 F
+585.6 Q(xits.)-.15 E(If)108 602.4 Q F1(bash)3.047 E F0 .547(is w)3.047 F
 .546(aiting for a command to complete and recei)-.1 F -.15(ve)-.25 G
 3.046(sas).15 G .546(ignal for which a trap has been set, the trap)
--3.046 F .663(will not be e)108 614.4 R -.15(xe)-.15 G .663
+-3.046 F .662(will not be e)108 614.4 R -.15(xe)-.15 G .662
 (cuted until the command completes.).15 F(When)5.663 E F1(bash)3.163 E
-F0 .662(is w)3.163 F .662(aiting for an asynchronous command)-.1 F .99
+F0 .663(is w)3.163 F .663(aiting for an asynchronous command)-.1 F .99
 (via the)108 626.4 R F1(wait)3.49 E F0 -.2(bu)3.49 G .99(iltin, the rec\
 eption of a signal for which a trap has been set will cause the).2 F F1
 (wait)3.49 E F0 -.2(bu)3.49 G .99(iltin to).2 F
 (return immediately with an e)108 638.4 Q
 (xit status greater than 128, immediately after which the trap is e)-.15
 E -.15(xe)-.15 G(cuted.).15 E F5(JOB CONTR)72 655.2 Q(OL)-.329 E F2 -.25
-(Jo)108 667.2 S 4.568(bc).25 G(ontr)-4.568 E(ol)-.45 E F0 2.068
-(refers to the ability to selecti)5.078 F -.15(ve)-.25 G 2.067
-(ly stop \().15 F F2(suspend)A F0 4.567(\)t)C 2.067(he e)-4.567 F -.15
-(xe)-.15 G 2.067(cution of processes and continue).15 F(\()108 679.2 Q
-F2 -.37(re)C(sume).37 E F0 3.201(\)t)C .701(heir e)-3.201 F -.15(xe)-.15
+(Jo)108 667.2 S 4.567(bc).25 G(ontr)-4.567 E(ol)-.45 E F0 2.067
+(refers to the ability to selecti)5.077 F -.15(ve)-.25 G 2.067
+(ly stop \().15 F F2(suspend)A F0 4.567(\)t)C 2.068(he e)-4.567 F -.15
+(xe)-.15 G 2.068(cution of processes and continue).15 F(\()108 679.2 Q
+F2 -.37(re)C(sume).37 E F0 3.202(\)t)C .702(heir e)-3.202 F -.15(xe)-.15
 G .702(cution at a later point.).15 F 3.202(Au)5.702 G .702
 (ser typically emplo)-3.202 F .702(ys this f)-.1 F .702
-(acility via an interacti)-.1 F 1.002 -.15(ve i)-.25 H(nterf).15 E(ace)
+(acility via an interacti)-.1 F 1.001 -.15(ve i)-.25 H(nterf).15 E(ace)
 -.1 E(supplied jointly by the system')108 691.2 Q 2.5(st)-.55 G
 (erminal dri)-2.5 E -.15(ve)-.25 G 2.5(ra).15 G(nd)-2.5 E F1(bash)2.5 E
-F0(.)A .785(The shell associates a)108 708 R F2(job)5.025 E F0 .785
-(with each pipeline.)3.515 F .784(It k)5.785 F .784
-(eeps a table of currently e)-.1 F -.15(xe)-.15 G .784
-(cuting jobs, which may be).15 F .34(listed with the)108 720 R F1(jobs)
-2.84 E F0 2.84(command. When)2.84 F F1(bash)2.84 E F0 .341
-(starts a job asynchronously \(in the)2.84 F F2(bac)2.841 E(kgr)-.2 E
-(ound)-.45 E F0 .341(\), it prints a line).77 F(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(29)185.955 E 0 Cg EP
+F0(.)A .784(The shell associates a)108 708 R F2(job)5.024 E F0 .784
+(with each pipeline.)3.514 F .784(It k)5.784 F .785
+(eeps a table of currently e)-.1 F -.15(xe)-.15 G .785
+(cuting jobs, which may be).15 F .341(listed with the)108 720 R F1(jobs)
+2.841 E F0 2.841(command. When)2.841 F F1(bash)2.841 E F0 .341
+(starts a job asynchronously \(in the)2.841 F F2(bac)2.84 E(kgr)-.2 E
+(ound)-.45 E F0 .34(\), it prints a line).77 F(GNU Bash-3.2)72 768 Q
+(2007 January 12)140.96 E(29)190.95 E 0 Cg EP
 %%Page: 30 30
 %%BeginPageSetup
 BP
